>From 02e3f331d6736e7207e8ec7d788090bdf7324eca Mon Sep 17 00:00:00 2001
From: Sebastien RAILLARD <sr@coexsi.fr>
Date: Wed, 25 Mar 2015 15:01:44 +0100
Subject: [PATCH 2/6] Add receive and send timeout for dvblastctl socket to prevent blocking

---
 dvblastctl.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

diff --git a/dvblastctl.c b/dvblastctl.c
index c4df1ea..1899c50 100644
--- a/dvblastctl.c
+++ b/dvblastctl.c
@@ -381,6 +381,17 @@ int main( int i_argc, char **ppsz_argv )
     i = COMM_MAX_MSG_CHUNK;
     setsockopt( i_fd, SOL_SOCKET, SO_RCVBUF, &i, sizeof(i) );
 
+    /* Set socket send and receive timeout */
+    struct timeval tv_sock;
+    tv_sock.tv_sec = 1; tv_sock.tv_usec = 0;
+    if (setsockopt( i_fd, SOL_SOCKET, SO_SNDTIMEO,(struct timeval *)&tv_sock,sizeof(struct timeval)) != 0) {
+        msg_Err(NULL, "Error setting SOL_SOCKET/SO_SNDTIMEO!");
+    }
+    tv_sock.tv_sec = 1; tv_sock.tv_usec = 0;
+    if (setsockopt( i_fd, SOL_SOCKET, SO_RCVTIMEO,(struct timeval *)&tv_sock,sizeof(struct timeval)) != 0) {
+        msg_Err(NULL, "Error setting SOL_SOCKET/SO_RCVTIMEO!");
+    }
+
     memset( &sun_client, 0, sizeof(sun_client) );
     sun_client.sun_family = AF_UNIX;
     strncpy( sun_client.sun_path, psz_client_socket,
-- 
1.7.0.4

